Subject: Question string_client.pack and game missions
Description

In the PC and linux version of the client uses a file called "string_client.pack which is a binary of a whole heap of object sitems &  ID's
and mission texts and such.
This file can become corrupt for whatever reason and in a lot of support issues a deletion of this file is a standard fix, as the game
rebuilds it on the next login.
So question:
1. Does this file exist in the Mac version or does the client look for the raw data in the bnp files? this may explain lag issues and
lockups.
2. If it does exist .. where is it? and if its in a hidden directory could someone please explain/document a proceedure to unhide it and
delete it.

This could help to resolve a building list of mysterious mission and quest issues we are receiveing from Mac players.

Thanks in advance
Mokoi (CSR)
SGM Arispotle

History
#1 - 11/04/2011 08:27 am - mokoi

A typical log.log file reveals this file is missing

2011/08/03 20:44:24 WRN 1884576960 <Unknown> path.cpp 516 lookup : PATH: File (classificationtype_words_en.txt) not found
(classificationtype_words_en.txt)
2011/08/03 20:44:24 WRN 1884576960 <Unknown> file.cpp 265 open : Failed to open file './save/string_client.pack', error 2 : No such file or directory

#2 - 12/06/2011 10:22 pm - sfb
- Category set to Client: General
- Status changed from New to Assigned
- Assignee set to sfb

mokoi,

Sorry that no one has responded to you. If string_client.pack is missing the client should attempt to rebuild this. The files that it should be looking for
are the various word and phrase files in the gamedev.bnp file. Like other packed sheets if your translation file change it should rebuild the client string
cache (string_click.pack) and sometimes does not. I don't know that this is encountered much in the live Windows client but in the Ryzom Core
community we do run into problems with this file from time to time when making frequent client rebuilds and string changes. The solution is always to
delete it and restart the client.

The second error message you are getting, failure to open the string_client.pack file should result in the client string manager rebuilding the file and
thus should be a non-issue.
The first issue - that classificationtype_words_en.txt is missing is concerning. Do you see errors like this one often? This file should be in gamedev.bnp
in a folder called languages.
